Enable test command to use version specifiers, ie. "devpi test my-pkg==0.3.1" (closes #71).

#19 Merged at 0f98aa4
Repository
basti
Branch
default
Repository
hpk42
Branch
default
Author
  1. Sebastian Rahlf
Reviewers
Description

Currently, you cannot test releases other than the most recent one.

Example: I've just uploaded version 0.3.2 via devpi. Now I want to backport some of the changes to an older but still to be maintained version 0.2.8.

devpi upload && devpi test my-package 

will not work in this instance because that will test version 0.3.2! So I would need to specify a version:

devpi test my-package==0.2.8

or even

devpi test "my-package<0.3"

I've added a few tests and also made sure that tox ran successfully.

Comments (0)